Bug 478285 - Clicking on "Test Connection" button is unrecognised by Penrose Studio.
Clicking on "Test Connection" button is unrecognised by Penrose Studio.
Status: VERIFIED
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
urgent Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:14 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:14:26 EST
Penrose Studio is failing to Add New Server to the configuration. 
Clicking on the Test Connection button is unrecognised by Penrose Studio.

Steps to Reproduce.
*********************
- Install JDK 1.5.0_* in Fedora/RHEL Server 5.2 and set the JAVA_HOME variable.
- Install Penrose server and start the server.
- Install Penrose Studio and launch.
- To add a New Server give Bind DN as - "uid=admin,ou=system" and Passwd as 'secret'.
- Click on Test Connection button.

No action takes place. It doesn't give any error/exception.

While launching Penrose Studio on RHEL server, DOMException is observed.

./penrose-studio
log4j:WARN No appenders could be found for logger (org.safehaus.penrose.studio.PenroseStudioPlugin).
log4j:WARN Please initialize the log4j system properly.
log4j:ERROR Could not parse file [/usr/local/penrose-studio-2.0RC2/conf/log4j.xml].
org.w3c.dom.DOMException: NOT_SUPPORTED_ERR: The implementation does not support the requested type of object or operation.
  at org.apache.xerces.dom.CoreDOMImplementationImpl.createLSParser(Unknown Source)
  at gnu.xml.dom.DomDocumentBuilderFactory.newDocumentBuilder(libgcj.so.7rh)
  at org.apache.log4j.xml.DOMConfigurator.doConfigure(DOMConfigurator.java:706)
  at org.apache.log4j.xml.DOMConfigurator.doConfigure(DOMConfigurator.java:604)
  at org.apache.log4j.xml.DOMConfigurator.configure(DOMConfigurator.java:733)
  at org.safehaus.penrose.studio.PenroseStudio.<init>(PenroseStudio.java:86)
  at java.lang.Class.newInstance(libgcj.so.7rh)
  at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:157)
  at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:759)
  at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:243)
  at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:51)
  at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:74)
  at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
  at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
  at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
  at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
  at java.lang.reflect.Method.invoke(libgcj.so.7rh)
  at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
  at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
  at org.eclipse.core.launcher.Main.run(Main.java:977)
  at org.eclipse.core.launcher.Main.main(Main.java:952)


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '2',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'sramling',
          'key' => 'PENROSE-321',
          'assignee' => 'jimyang',
          'summary' => 'Clicking on "Test Connection" button is unrecognised by Penrose Studio.',
          'id' => '11052',
          'updated' => '2008-10-21 02:57:38.0',
          'votes' => '0',
          'fixVersions' => [],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2008-06-18 00:00:00.0',
                                 'sequence' => '29',
                                 'name' => ' Penrose-2.0RC2',
                                 'released' => 'true',
                                 'id' => '10131',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'Penrose Studio is failing to Add New Server to the configuration. 
Clicking on the Test Connection button is unrecognised by Penrose Studio.

Steps to Reproduce.
*********************
- Install JDK 1.5.0_* in Fedora/RHEL Server 5.2 and set the JAVA_HOME variable.
- Install Penrose server and start the server.
- Install Penrose Studio and launch.
- To add a New Server give Bind DN as - "uid=admin,ou=system" and Passwd as 'secret'.
- Click on Test Connection button.

No action takes place. It doesn't give any error/exception.

While launching Penrose Studio on RHEL server, DOMException is observed.

./penrose-studio
log4j:WARN No appenders could be found for logger (org.safehaus.penrose.studio.PenroseStudioPlugin).
log4j:WARN Please initialize the log4j system properly.
log4j:ERROR Could not parse file [/usr/local/penrose-studio-2.0RC2/conf/log4j.xml].
org.w3c.dom.DOMException: NOT_SUPPORTED_ERR: The implementation does not support the requested type of object or operation.
  at org.apache.xerces.dom.CoreDOMImplementationImpl.createLSParser(Unknown Source)
  at gnu.xml.dom.DomDocumentBuilderFactory.newDocumentBuilder(libgcj.so.7rh)
  at org.apache.log4j.xml.DOMConfigurator.doConfigure(DOMConfigurator.java:706)
  at org.apache.log4j.xml.DOMConfigurator.doConfigure(DOMConfigurator.java:604)
  at org.apache.log4j.xml.DOMConfigurator.configure(DOMConfigurator.java:733)
  at org.safehaus.penrose.studio.PenroseStudio.<init>(PenroseStudio.java:86)
  at java.lang.Class.newInstance(libgcj.so.7rh)
  at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:157)
  at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:759)
  at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:243)
  at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:51)
  at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:74)
  at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
  at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
  at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
  at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
  at java.lang.reflect.Method.invoke(libgcj.so.7rh)
  at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
  at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
  at org.eclipse.core.launcher.Main.run(Main.java:977)
  at org.eclipse.core.launcher.Main.main(Main.java:952)
',
          'created' => '2008-10-21 02:57:38.0',
          'environment' => 'Fedora 9 / RHEL 5.2 Server',
          'type' => '1'
        };


=========================================================
Comment 1 Sankar Ramalingam 2009-04-01 11:42:47 EDT
This problem is no more observed on RHEL. Changing the status to verified.
Tested with 03/29 build.

Note You need to log in before you can comment on or make changes to this bug.